﻿// Copyright (c) 2020 Tudor Stanciu

namespace Tuitio.PublishedLanguage.Dto
{
    public class Envelope<T> where T : class
    {
        public T Result { get; }
        public string Status { get; }

        public Envelope(T result, string status)
        {
            Result=result;
            Status=status;
        }

        public static Envelope<T> Success(T result)
        {
            return new Envelope<T>(result, null);
        }

        public static Envelope<T> Error(string message)
        {
            return new Envelope<T>(null, message);
        }
    }
}
